# Watering Plants using a Raspberry Pi

As this year, crossing fingers, we're planning for a great trip, my wife started to worry about her plants. She has put some effort in keeping them in good shape, so leaving them unattented for several weeks would probably end up in a disaster.

In order to make her happy, I decided to make an automatic watering system using a Raspberry, and some moisture sensors.


## List of items needed for the project

- Raspberry Pi -> any model would work, but for convenience I would choose one with WiFi 
- Breadboard -> a small solderless 400 points one
- MCP3008 ADC -> as I'm using analog moisture sensors
- Capacitive soil moisture sensors -> the resistive ones would corrode over time
- 5V Relay module -> one channel per pump is needed
- 3V-6V Submersible water pump -> 
- Power supply -> I'm using an old AC adapter (12 V, 2 A) that I already had with a female DC adapter
- Fish tank tube -> Several meters, depending on your plants layout, 4 mm diameter transparent tube

A schematic of how all parts are connected is below:

<img src="figures/watering_system.png" width="60%" />
